Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F153498837
D20322.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
866 B
Referenced Files
None
Subscribers
None
D20322.diff
View Options
Index: libexec/rc/rc.d/abi
===================================================================
--- libexec/rc/rc.d/abi
+++ libexec/rc/rc.d/abi
@@ -41,6 +41,30 @@
fi
rm -rf ${_tmpdir}
fi
+
+ mount -t linprocfs linprocfs /compat/linux/proc
+ if [ "$?" -ne 0 ]; then
+ warn "unable to mount /compat/linux/proc"
+ fi
+
+ mount -t linsysfs linsysfs /compat/linux/sys
+ if [ "$?" -ne 0 ]; then
+ warn "unable to mount /compat/linux/sys"
+ fi
+
+ # If /compat/linux/dev exists, it will shadow /dev for Linux binaries.
+ if [ -e "/compat/linux/dev" ]; then
+ warn "/compat/linux/dev should not exist"
+ fi
+
+ # XXX: We could mount tmpfs instead, but there is no easy way
+ # to create the /dev/shm mountpoint.
+ if [ ! -e "/dev/shm" ]; then
+ ln -s /tmp /dev/shm
+ if [ "$?" -ne 0 ]; then
+ warn "unable to create /dev/shm"
+ fi
+ fi
}
abi_start()
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Apr 22, 11:44 AM (20 h, 33 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31976295
Default Alt Text
D20322.diff (866 B)
Attached To
Mode
D20322: Make linux_enable="YES" result in mounting linprocfs, linsysfs, and handling /dev/shm/
Attached
Detach File
Event Timeline
Log In to Comment